Subject: Xpaint - A MacPaing like program for X
From: [email-masked] (God)
Date: Wed, 24 Feb 1993 08:31:54 GMT
Newsgroups: comp.os.linux.announce

This is Xpaint, A MacPaint like program for X.
It compiled clean, no patches, just an xmkmf and make.
It was recompiled for Xfree86-1.2 and requires the 4.3 jumplibs
and the X 3.0 stuff. The full source is included. It is functionally
identical to the one I put up on Sunsite before, just relinked for
the new X stuff.

The archive is gzipped to save space.

It can be ftp's from sunsite.unc.edu:/pub/Linux/Incoming/xpaint.tar.z

From the README file:

The short features list:
	Usual paint operations:
		Brushes, Spray paint, Pencil
		Lines, Arcs, Pattern Fill, Text,
		Boxes, Circles, Polygons.
	Works on multiple images simultaneously.
	Cut/Copy/Paste between all active images.
	Fatbits/Zoom on the image windows.

XPaint is slightly biased towards a MacPaint-like operation set, since
this is the only paint program that I have ever used for more than 30
seconds, but not to let this discourage you, it does quite a bit more.
If you find some functionality missing and feel like adding it, there
is a rough description of how the operations interface works, and I'd
be more that willing to help you.

At the present time, XPaint only supports the reading/writing of either
X11 Bitmaps, XWD (X window dump) format, or the PNM format that is used
in the PBMPLUS toolkit (which is available for ftp from
export.lcs.mit.edu, and provides many converters to and from most
widely available formats).  Also for those of you using 'xv' to preview
images, you will find that it can read/write the PNM formats as well
and can be used as a simple format converter.

---- end ----

Please direct any linux-specific questions to me

--chuck

[email-masked]